/* 
* This file is part of Sharing dialog
*
* Copyright © 2008-2009 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
*
* Contact: Alexander Bokovoy <alexander.bokovoy@nokia.com>
*
* This software, including documentation, is protected by copyright controlled by
* Nokia Corporation. All rights are reserved. Copying, including reproducing, storing,
* adapting or translating, any or all of this material requires the prior written consent
* of Nokia Corporation. This material also contains confidential information which may
* not be disclosed to others without the prior written consent of Nokia. 
*/

#ifndef _SHARING_DIALOG_H_
#define _SHARING_DIALOG_H_

#include <gtk/gtk.h>
#include <glib.h>
#include <libosso.h>

G_BEGIN_DECLS

typedef enum {
    SHARE_BUTTON_EMAIL      = 1,
    SHARE_BUTTON_BLUETOOTH  = 1 << 1,
    SHARE_BUTTON_SERVICE    = 1 << 2,
    SHARE_BUTTON_ALL        = 0x7
} ShareButtonMask;

void sharing_dialog_with_file (osso_context_t * osso, GtkWindow * parent,
    const gchar * uri);

void sharing_dialog_with_files (osso_context_t * osso, GtkWindow * parent,
    GSList * uris);

void sharing_dialog_button_mask_with_file (osso_context_t * osso,
    GtkWindow * parent, const gchar * uris, guint share_button_mask);

void sharing_dialog_button_mask_with_files (osso_context_t * osso,
    GtkWindow * parent, GSList * uris, guint share_button_mask);
       
G_END_DECLS

#endif /* #ifndef _SHARING_DIALOG_H_ */
